<?php
/*
******************************************************************************************
*                                                                                        *
*    Photo Contest Web Application v1.6                                                  *
*    Copyright (C) Nov 7, 2011  Subhrajit Bhattacharya                                   *
*                                                                                        *
*    This program is free software: you can redistribute it and/or modify                *
*    it under the terms of the GNU General Public License as published by                *
*    the Free Software Foundation, either version 3 of the License, or                   *
*    (at your option) any later version.                                                 *
*                                                                                        *
*    This program is distributed in the hope that it will be useful,                     *
*    but WITHOUT ANY WARRANTY; without even the implied warranty of                      *
*    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                       *
*    GNU General Public License for more details <http://www.gnu.org/licenses/>.         *
*                                                                                        *
*                                                                                        *
*    Contact: subhrajit@gmail.com, http://www.subhrajit.net/                             *
*                                                                                        *
*                                                                                        *
******************************************************************************************
*/
?>

<?php
include_once("config.php");
db_connect_photocontest();
db_test_photocontest();
?>

<html>
<head><link rel="stylesheet" type="text/css" href="<? print($info_photocontest->stylesheet); ?>" /></head>
<body style="width:<? print($info_photocontest->containerwidth); ?>px;">

<?php if ( $info_photocontest->layout === "windowed" ) { ?>
   <?php if (!empty($info_photocontest->bannerURL)) { ?>
      <div><img src="<? print($info_photocontest->bannerURL); ?>" width=<? print($info_photocontest->containerwidth); ?>></div>
   <?php } ?>
   <h3><? print($info_photocontest->confname); ?> Photo Upload Page</h3> 
<?php } ?>
<p style="font-size:8pt;"><b>[ <a href='upload.php'>Upload Page</a> ]</b> &nbsp; 
<?php
foreach ($info_photocontest->topLinks as $k=>$v)
    print("[ <a href='".$v."'>".$k."</a> ] &nbsp; ");
?>
<br/>&nbsp;<br/>&nbsp;</p>

<table border=0 cellspacing=1 cellpadding=0 class="content" style="margin:auto;">

<?php

// ---------------------------------------------
// Check if hide/show requeted by admin

if (!empty($_GET['details']) && $_GET['details']=="admin" && 
    !empty($_GET['adminpass']) && $_GET['adminpass']==$display_photocontest->adminpass && 
    !empty($_GET['action']))
{
    if ($_GET['action']=="hide" && !empty($_GET['id']))
        mysql_query( "UPDATE ".$db_info_photocontest->table." SET public='no' WHERE id=".intval($_GET['id']) );
    elseif ($_GET['action']=="show" && !empty($_GET['id']))
        mysql_query( "UPDATE ".$db_info_photocontest->table." SET public='yes' WHERE id=".intval($_GET['id']) );
    elseif ($_GET['action']=="hideall")
        mysql_query( "UPDATE ".$db_info_photocontest->table." SET public='no'" );
    elseif ($_GET['action']=="showall")
        mysql_query( "UPDATE ".$db_info_photocontest->table." SET public='yes'" );
}
              
              
// ---------------------------------------------

if (empty($_GET['page']))
    $pageNo = 1;
else
    $pageNo = intval($_GET['page']);

// ----------------------------------------------
// The submissions through photo submission form

$query = "SELECT * FROM ".$db_info_photocontest->table;
$result =  mysql_query($query);

$ReadCount = 0;
$DispCount = 0;
$isAdmin = ( (!empty($_GET['details'])) & ($_GET['details']=="admin") & 
                (!empty($_GET['adminpass'])) & ($_GET['adminpass']==$display_photocontest->adminpass) );

if($isAdmin)
    print("<td colspan=".$display_photocontest->ImagesPerLine." style='padding-bottom:20px;font-size:8pt;'><b>Admin actions: &nbsp;&nbsp;</b> ".
          " [ <a href='view.php?details=admin&adminpass=".$display_photocontest->adminpass."&page=".$pageNo."&action=hideall'>Hide All<a/> ] &nbsp;&nbsp;".
          " [ <a href='view.php?details=admin&adminpass=".$display_photocontest->adminpass."&page=".$pageNo."&action=showall'>Show All</a> ]</td>");

while ($row = mysql_fetch_array($result))
{

   $thisCountPage = floor($ReadCount/($display_photocontest->ImagesPerLine*$display_photocontest->LinesPerPage))+1;
   if($thisCountPage==$pageNo)
   {
      if (!file_exists($upload_photocontest->relfolder.$row['filename'].".JPG") && 
          !file_exists($upload_photocontest->relfolder.$row['filename']."_thumb.JPG"))
          continue;
   
      $hidestyle = "";
      if($row['public']=="no")
      {
        if($isAdmin)
            $hidestyle = "opacity:0.4;filter:alpha(opacity=40);";
        else
            continue;
      }
   
      if ($DispCount % $display_photocontest->ImagesPerLine == 0) print("<tr>");
      print("<td valign='top' align='center' style='border:solid 1px #eeeeee;".$hidestyle."'>
             <div style='border:solid 1px #cccccc; margin:5px; padding:3px; overflow:hidden; width: ".($display_photocontest->ThumbMaxWidth+6)."px; height: ".$display_photocontest->ThumbMaxHeight."px'>".
          "<a href='#' onClick='window.open(\"".$upload_photocontest->folderURL.$row['filename'].".JPG\", \"ViewContainer\", \"menubar=no,width=500,height=600,toolbar=no\");'>".
          "<img src='".$upload_photocontest->folderURL.$row['filename']."_thumb.JPG' border=0></a></div>");
          print("<div style='font-size: 10px; color:#888888; width: ".($display_photocontest->ThumbMaxWidth)."px;'><b><i>#".$row['id']."</i>: ".rawurldecode($row['caption'])."</b>");
          if (!empty($_GET['details']) && ($_GET['details']=="public" || $_GET['details']=="admin"))
          {
              if ($info_photocontest->askifstudent || $info_photocontest->photocontest) {
		          print("<br/><span style='color:#886622;'>(");
		          if ($info_photocontest->askifstudent)
		              { if ($row['student']=='yes') print("student"); else print("NOT student"); }
		          if ($info_photocontest->askifstudent && $info_photocontest->photocontest) print(",<br/>");
		          if ($info_photocontest->photocontest)
		              { if ($row['contest']=='yes') print("for contest"); else print("NOT for contest"); }
		          print(")</span>");
		      }
              if (!$info_photocontest->hidename)
                  print("<br/>".rawurldecode($row['name']));
          }
          if ($isAdmin)
          {
            if ($info_photocontest->hidename)
                print("<br/>".rawurldecode($row['name']));
            print(",<br/>".rawurldecode($row['affiliation']));
            print(",<br/><span style='font-size:6pt;'>".rawurldecode($row['email'])."</span>");
            if($row['public']=="yes")
                print("<br/><span style='font-size:6pt;'>[<a href='view.php?details=admin&adminpass=".$display_photocontest->adminpass.
                        "&page=".$pageNo."&action=hide&id=".$row['id']."' style='color:red'> hide </a>]</span>");
            else
                print("<br/><span style='font-size:6pt;'>[<a href='view.php?details=admin&adminpass=".$display_photocontest->adminpass.
                        "&page=".$pageNo."&action=show&id=".$row['id']."' style='color:blue'> show </a>]</span>");
          }
          //print("<br/>".rawurldecode($row['name']));
      print("</div></td>");
      if ($DispCount % $display_photocontest->ImagesPerLine == $display_photocontest->ImagesPerLine-1) print("</tr>");
      $DispCount++;
   }
   $ReadCount++;
}



// ----------------------------------------------
// The sub-folders

if (true)
{
    $BaseDir = $upload_photocontest->relfolder;
    if ($dh = opendir($BaseDir))
    {
      $dirList = array();
      while (($dir = readdir($dh)) !== false)
         if ($dir!=="." && $dir!==".." && is_dir($BaseDir.$dir))
            $dirList[] = $dir;
      sort($dirList);

      foreach ($dirList as $dir) { 
      
            $subdir = $BaseDir.$dir."/";
            if ($subdh = opendir($subdir))
            {
               while (($file = readdir($subdh)) !== false)
               {
                  if (is_dir($subdir.$file)) continue;
                  
                  $thisCountPage = floor($ReadCount/($display_photocontest->ImagesPerLine*$display_photocontest->LinesPerPage))+1;
                  if($thisCountPage==$pageNo)
                  {
                     $fname = $dir."/".$file;
                     $thumbfname = getThumb_sub($fname, $display_photocontest->ThumbMaxWidth, $display_photocontest->ThumbMaxHeight);
                     
                     if (!file_exists($BaseDir.$fname) && !file_exists($BaseDir.$thumbfname))
                          continue;
                   
                      if ($DispCount % $display_photocontest->ImagesPerLine == 0) print("<tr>");
                      print("<td valign='top' align='center' style='border:solid 1px #eeeeee;'>
                             <div style='border:solid 1px #cccccc; margin:5px; padding:3px; overflow:hidden; width: ".($display_photocontest->ThumbMaxWidth+6)."px; height: ".$display_photocontest->ThumbMaxHeight."px'>".
                          "<a href='#' onClick='window.open(\"".$upload_photocontest->folderURL.$fname."\", \"ViewContainer\", \"menubar=no,width=500,height=600,toolbar=no\");'>".
                          "<img src='".$upload_photocontest->folderURL.$thumbfname."' border=0></a></div>");
                          print("<div style='font-size: 10px; color:#888888; width: ".($display_photocontest->ThumbMaxWidth)."px;'><b>".$file."</b>");
                          if (!empty($_GET['details']) && ($_GET['details']=="public" || $_GET['details']=="admin"))
                          		print("<br/>".$dir);
                      print("</div></td>");
                      if ($DispCount % $display_photocontest->ImagesPerLine == $display_photocontest->ImagesPerLine-1) print("</tr>");
                     
                     $DispCount++;
                  }
                  $ReadCount++;
               }
            }
            closedir($subdh);
      }
      closedir($dh);
    }
}

// ----------------------------------------------
// Finishing the table

if ($ReadCount % $display_photocontest->ImagesPerLine != 0)
{
   while ($ReadCount % $display_photocontest->ImagesPerLine != 0)
   {
      print("<td valign='top' width=".($display_photocontest->ThumbMaxWidth+6)." style='border:solid 1px #ffffff;'></td>");
      $ReadCount++;
   }
   print("</tr>");
}


?>

</table>

<?
// ----------------------------------------------
// The pages list

print("<center><a name='PageNosList'></a><div style='text-align:center; border: 1px solid #ffffff; margin:10px; padding:5px; width:350px;'>Pages:<br/>");
if (!empty($_GET['adminpass'])) $adminpass="&adminpass=".$_GET['adminpass']; else $adminpass="";
if (!empty($_GET['details'])) $details="&details=".$_GET['details']; else $details="";
for ($pageNos=1; $pageNos<=floor(($ReadCount-1)/($display_photocontest->ImagesPerLine*$display_photocontest->LinesPerPage))+1; $pageNos++)
   if ($pageNos==$pageNo)
      print(" <a href='?page=".$pageNos.$details.$adminpass."'><b>$pageNos</b></a> ");
   else
      print(" <a href='?page=".$pageNos.$details.$adminpass."'>$pageNos</a> ");
print("</div></center>");
?>

<script type="text/javascript">
   document.getElementById('PageCount').innerHTML = '<? print($pageNos-1); ?>';
</script>

<div class="footer"><a href="http://subhrajit.net/?WPage=Projects.ITPmWiki-ConferencePhotoManager" target="_blank">Conference Photo Manager v1.6</a></div>

</body>
</html>

<?php
db_close_photocontest();
?>

